[cp-patches] Updated: crypto merge patch

Casey Marshall csm@gnu.org
Sat Aug 14 12:03:00 GMT 2004


>>>>> "Mark" == Mark Wielaard <mark@klomp.org> writes:

Mark> First javax/net/ssl/HandshakeCompletedEvent.java and
Mark> javax/net/ssl/SSLSession.java use
Mark> javax.security.cert.X509Certificate. I don't know if we even
Mark> want to provide the javax.security.cert package since it is
Mark> obviously not needed by anyone (or is it?)

I would not be surprised if there is code that uses that package, and
won't be (or can't be) updated. I think including it (since it's
already done and complete) is the safest thing to do.

Also, none of these classes are actually marked as deprecated. Sun
just includes a warning that people should use java.security.cert
instead. It's more green in japitools, too ;)

Mark> Second you need to add the new Makefiles in the resources
Mark> subdirectories to the configure.ac file (see below).

Ok, thanks for the heads up.

Mark> With that fixed make distcheck works correctly and the source
Mark> compiles with both jikes and gcj. So please check this in.

Ok. This will probably happen this weekend.

-- 
Casey Marshall || csm@gnu.org



More information about the Java mailing list